Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenNode

All Superinterfaces:
  EObject, GenChildContainer, GenCommonBase, GenContainerBase, Notifier

All Known Subinterfaces:
  GenChildLabelNode, GenChildNode, GenTopLevelNode

All Known Implementing Classes:
  GenChildLabelNodeImpl, GenChildNodeImpl, GenNodeImpl, GenTopLevelNodeImpl

public interface GenNode
extends GenChildContainer

A representation of the model object 'Gen Node'. EClass mapped to Node

The following features are supported:

- `Model Facet`
- `Labels`
- `Compartments`
- `Graphical Node Edit Policy Class Name`

See Also:
  `GMFGenPackage.getGenNode()`
** Generated **
Model:
  abstract="true" annotation="http://www.eclipse.org/gmf/2005/constraints ocl='diagramRunTimeClass.ecoreClass.eAllSuperTypes->including(diagramRunTimeClass.ecoreClass)->one(ePackage.name = \'notation\' and name = \'Node\')' description='Node \'Diagram Runtime Class\' must be a notation::Node or sub-class'"

Field Summary
`static java.lang.String` `CLASS_NAME_PREFIX`
`static java.lang.String` `GRAPHICAL_NODE_EDIT_POLICY_SUFFIX`

Fields inherited from interface org.eclipse.gmf.codegen.gmfgen.GenChildContainer
`CANONICAL_EDIT_POLICY_SUFFIX`

Fields inherited from interface org.eclipse.gmf.codegen.gmfgen.GenCommonBase
`DEFAULT_CLASS_NAME_PREFIX, EDIT_PART_SUFFIX, ITEM_SEMANTIC_EDIT_POLICY_SUFFIX, NOTATION_VIEW_FACTORY_SUFFIX`

Method Summary
`EList` `getCompartments()` Returns the value of the 'Compartments' reference list.
`GenClass` `getDomainMetaClass()` If the meaning of the 'Domain Meta Class' reference isn't clear, there really should be more of a description here...
`java.lang.String` `getGraphicalNodeEditPolicyClassName()` Returns the value of the 'Graphical Node Edit Policy Class Name' attribute
`java.lang.String` `getGraphicalNodeEditPolicyQualifiedClassName()` valid only when there are compartments
`EList` `getLabels()` Returns the value of the 'Labels' containment reference list.
`TypeModelFacet` `getModelFacet()` Returns the value of the 'Model Facet' containment reference
`void` `setGraphicalNodeEditPolicyClassName(java.lang.String value)` Sets the value of the '`Graphical Node Edit Policy Class Name`' attribute
`void` `setModelFacet(TypeModelFacet value)` Sets the value of the '`Model Facet`' containment reference

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenChildContainer
`getCanonicalEditPolicyClassName, getCanonicalEditPolicyQualifiedClassName, getChildNodes, setCanonicalEditPolicyClassName`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenContainerBase
`getContainedNodes`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenCommonBase

`getClassNamePrefix, getClassNameSuffux, getDiagram, getDiagramRunTimeClass, getEditPartClassName, getEditPartQualifiedClassName, getElementType, getItemSemanticEditPolicyClassName, getItemSemanticEditPolicyQualifiedClassName, getLayoutType, getNotationViewFactoryClassName, getNotationViewFactoryQualifiedClassName, getUniqueIdentifier, getViewmap, getVisualID, setDiagramRunTimeClass, setEditPartClassName, setElementType, setItemSemanticEditPolicyClassName, setNotationViewFactoryClassName, setViewmap, setVisualID`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### CLASS_NAME_PREFIX

    public static final java.lang.String CLASS_NAME_PREFIX

See Also:
  Constant Field Values

### GRAPHICAL_NODE_EDIT_POLICY_SUFFIX

    public static final java.lang.String GRAPHICAL_NODE_EDIT_POLICY_SUFFIX

See Also:
  Constant Field Values

Method Detail

### getDomainMetaClass

    public GenClass getDomainMetaClass()

  If the meaning of the 'Domain Meta Class' reference isn't clear, there really should be more of a description here...

  Delegates to modelFacet

  ** Generated **
  Model:
    kind="operation" required="true"

### getGraphicalNodeEditPolicyQualifiedClassName

    public java.lang.String getGraphicalNodeEditPolicyQualifiedClassName()

  valid only when there are compartments

  ** Generated **
  Model:
    kind="operation"

### getLabels

    public EList getLabels()

  Returns the value of the 'Labels' containment reference list. The list contents are of type `GenNodeLabel`. It is bidirectional and its opposite is '`Node`'.

  If the meaning of the 'Labels' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Labels' containment reference list.
  See Also:
    `GMFGenPackage.getGenNode_Labels()`, `GenNodeLabel.getNode()`
  ** Generated **
  Model:
    type="org.eclipse.gmf.codegen.gmfgen.GenNodeLabel" opposite="node" containment="true"

### getCompartments

    public EList getCompartments()

  Returns the value of the 'Compartments' reference list. The list contents are of type `GenCompartment`. It is bidirectional and its opposite is '`Node`'.

  If the meaning of the 'Compartments' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Compartments' reference list.
  See Also:
    `GMFGenPackage.getGenNode_Compartments()`, `GenCompartment.getNode()`
  ** Generated **
  Model:
    type="org.eclipse.gmf.codegen.gmfgen.GenCompartment" opposite="node"

### getGraphicalNodeEditPolicyClassName

    public java.lang.String getGraphicalNodeEditPolicyClassName()

  Returns the value of the 'Graphical Node Edit Policy Class Name' attribute.

  If the meaning of the 'Graphical Node Edit Policy Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Graphical Node Edit Policy Class Name' attribute.
  See Also:
    `GenNode.setGraphicalNodeEditPolicyClassName(String)`, `GMFGenPackage.getGenNode_GraphicalNodeEditPolicyClassName()`
  ** Generated **
  Model:

### setGraphicalNodeEditPolicyClassName

    public void setGraphicalNodeEditPolicyClassName(java.lang.String value)

  Sets the value of the '`Graphical Node Edit Policy Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Graphical Node Edit Policy Class Name' attribute.
  See Also:
    `GenNode.getGraphicalNodeEditPolicyClassName()`
  ** Generated **

### getModelFacet

    public TypeModelFacet getModelFacet()

  Returns the value of the 'Model Facet' containment reference.

  If the meaning of the 'Model Facet' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Model Facet' containment reference.
  See Also:
    `GenNode.setModelFacet(TypeModelFacet)`, `GMFGenPackage.getGenNode_ModelFacet()`
  ** Generated **
  Model:
    containment="true"

### setModelFacet

    public void setModelFacet(TypeModelFacet value)

  Sets the value of the '`Model Facet`' containment reference.

  Parameters:
    `value` - the new value of the 'Model Facet' containment reference.
  See Also:
    `GenNode.getModelFacet()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.